Summary:        A low-level software library for pixel manipulation.
Name:           pixman
Version:        0.42.2
Release:        2%{?dist}
License:        MIT
URL:            https://gitlab.freedesktop.org/pixman/pixman
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson

%description
Pixman is a low-level software library for pixel manipulation, 
providing features such as image compositing and trapezoid rasterization. 
Important users of pixman are the cairo graphics library and the X server.

%package devel
Summary: Pixel manipulation library development package
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development library for pixman.

%prep
%autosetup -p1
sed -i 's/120/600/' test/meson.build

%build
%meson --auto-features=auto \

%meson_build

%install
%meson_install

%check
%meson_test

%post -p /sbin/ldconfig    
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README 
%{_libdir}/libpixman-1*.so.*

%files devel
%dir %{_includedir}/pixman-1
%{_includedir}/pixman-1/pixman.h
%{_includedir}/pixman-1/pixman-version.h
%{_libdir}/libpixman-1*.so
%{_libdir}/pkgconfig/pixman-1.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.42.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 wynnfeng <wynnfeng@tencent.com> - 0.42.2-1
- upgrade to 0.42.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 05 2022 Wang Zhe <bessiewang@tencent.com> - 0.40.0-1
- initial build
